# OpenLayers.Control.Attribution

The attribution control adds attribution from layers to the map display. It uses ‘attribution’ property of each layer.

#### Inherits from

- OpenLayers.Control

Summary

OpenLayers.Control.Attribution | The attribution control adds attribution from layers to the map display.
Properties |
seperator | {String} String used to seperate layers.
Constructor |
OpenLayers.Control.Attribution |
Functions |
destroy | Destroy control.
draw | Initialize control.
updateAttribution | Update attribution string.

### Properties

### seperator

{String} String used to seperate layers.

### Constructor

### OpenLayers.Control.Attribution

#### Parameters

options | {Object} Options for control.

### Functions

### destroy

> destroy: function()

Destroy control.

### draw

> draw: function()

Initialize control.

#### Returns

{DOMElement} A reference to the DIV DOMElement containing the control

### updateAttribution

> updateAttribution: function()

Update attribution string.

> destroy: function()

Destroy control.

> draw: function()

Initialize control.

> updateAttribution: function()

Update attribution string.
Controls affect the display or behavior of the map.
Close